SETSCCSERIAL(8)

NAME
setSCCserial - get/set Linux SCC serial port parameters

SYNOPSIS
setSCCserial [ -qvvV ] device [ parameter1 [ =arg ] ] ...

DESCRIPTION
setSCCserial is a program designed to set and/or report the configuration information associated with an Atari SCC serial port (/dev/cua1, /dev/cua3 and /dev/cua4 are SCC ports on the Atari). This information relates solely to the manner the baud rates are generated from the various available input clocks; use setserial instead to control the general behaviour of the serial ports. During the normal bootup process, all serial ports are initialized to default values by the kernel, corresponding to the unmodified Atari hardware setup. Only if the serial hardware has been modified to use nonstandard clock frequencies for baud rate generation, the setSCCserial program should be used. Typically it is called from an rc.serial script, which is usually run out of /etc/rc.local. The device argument or arguments specifies the serial device which should be configured or interrogated. It will usually have the following form: /dev/cua[0-5]. If no parameters are specified, setSCCserial will print out the port configuration (the PCLK, TRxC and RTxC values and the resulting baud rate table). Note that the actual baud rates will deviate from the ideal rates generally, and setSCCserial may be used to replace some of the rates with nonstandard ones to circumvent such errors. For all modifications, superuser privilege is required to set the configuration parameters of a serial port.

OPTIONS
SetSCCserial accepts the following options:

-v  Be verbose: When changing the configuration of a serial device, print all information on the resulting baud rate calculations, including the deviation from the ideal baud rates in percent.

-q  Be quiet. SetSCCserial will print fewer lines of output.

-vv Be 'very verbose': print all intermediate results from the baud rate calculations.

-V  Display version and exit.

PARAMETERS
The following parameters can be used to configure a serial port. All argument values are assumed to be in decimal unless preceeded by "0x".

pclk=PCLK_clock
    The pclk option sets the master clock frequency connected to the PCLK pin of the SCC for both channels of the SCC (that is, for both of the corresponding serial devices!) in Hz. Use a 'M' or 'k' suffix to specify the clock frequency in MHz or kHz, correspondingly.

trxc=TRxC_clock
    The trxc option sets the clock frequency (in Hz) connected to the TRxC pin of the SCC (per-channel configuration!).

rtxc=RTxC_clock
    The rtxc option sets the clock frequency (in Hz) connected to the RTxC pin of the SCC (per-channel configuration!).

subst old_rate=new_rate
    The subst option substitutes baud rates in the kernel SCC baud rate table. Use this option to substitute the 57600 and 115200 baud entries that cannot be properly represented with the standard clock rates.

default
    When this parameter is given, setSCCserial will ask the kernel to reset the clocks and SCC baud rate table to the default settings for a standard setup.

CONSIDERATIONS OF CONFIGURING SERIAL PORTS
It is important to note that setSCCserial tells the Linux kernel what input clocks it should expect to find connected to the SCC chip. Resulting from these clock frequencies, the closest approximations possible for the 'ideal' baud rates commonly used are calculated. A major drawback of the standard input clock frequencies used in all Atari computers containing a SCC serial controller is the fact that the baud rates of 57600 and 115200 baud (activated by configuring the serial port with 'setserial spd_hi' or 'setserial spd_vhi' and setting the baud rate to 38400 baud) cannot be realized without considerable error. A suggestion to circumvent this problem is to substitute these rates with 76800 and 153600 baud :-(

FILES
/etc/rc.local /etc/rc.serial

SEE ALSO
setserial(8), tty(4), ttys(4), drivers/char/atari_SCCserial.c

AUTHOR
The original version of setserial was written by Roman Hodek (Roman.Hodek@informatik.uni-erlangen.de), additional flags and manpage based on Romans original documentation by Michael Schmitz (schmitz@bioa.embnet.unibas.ch) for the Debian-m68k project.